local AceLocale = AceLibrary("AceLocale-2.2"):new("PlayerInFu")

AceLocale:RegisterTranslations("enUS", function() 
    return {
	--GENERAL INFO
		["NAME"] = "FuBar - Player InFu",
		["DESCRIPTION"] = "Displays extreme player stats on the FuBar and in tooltip. Use '/fpif' for the options list.",
		["CMD_OPTIONS"] = {"/fpif", "/fubarplayerinfu"},
		["TITLE"] = "Player InFu",

	--HEADER MENU OPTIONS
		["HEAD_OPTIONS"] = "Header Options",
		["H_NAME"] = "Name",
		["H_NAME_TEXT"] = "Toggle your name showing on the Fubar banner.",
		["H_LVL"] = "Level",
		["H_LVL_TEXT"] = "Toggle your level showing on the Fubar banner.",
		["HEAD_XP_OPTIONS"] = "XP Options",
		["H_XPN"] = "Number",
		["H_XPN_TEXT"] = "Toggle showing the full text numbers of your current experience (if below level 70) on the Fubar banner.",
		["H_XPP"] = "Percentage",
		["H_XPP_TEXT"] = "Toggle showing your current experience percentage until the next level (if below level 70) on the Fubar banner.",
		["H_XPR"] = "Rested",
		["H_XPR_TEXT"] = "Toggle showing the amount of rested experience you currently have (if below level 70 and you're rested) on the Fubar banner.",
		["HPLEVEL"] = "Lvl ",

	--TOOLTIP OPTIONS
		["TOOL_OPTIONS"] = "Tooltip Options",
		["TT_EXP"] = "Experience",
		["TT_EXP_TEXT"] = "Toggles the Experience information from showing in the tooltip.",
		["TT_TALENTS"] = "Talents",
		["TT_TALENTS_TEXT"] = "Toggles the Talent information from showing in the tooltip.",
		["TT_ATT"] = "Attributes",
		["TT_ATT_TEXT"] = "Toggles the Attribute information from showing in the tooltip.",
		["TT_DEFENSE"] = "Defensive Skills",
		["TT_DEFENSE_TEXT"] = "Toggles the Defense information from showing in the tooltip.",
		["TT_MELEE"] = "Melee Skills",
		["TT_MELEE_TEXT"] = "Toggles the Melee information from showing in the tooltip.",
		["TT_RANGED"] = "Ranged Skills",
		["TT_RANGED_TEXT"] = "Toggles the Range information from showing in the tooltip.",
		["TT_SPELL"] = "Spell Skills",
		["TT_SPELL_TEXT"] = "Toggles the Spell information from showing in the tooltip.",

	--TT TOP INFO
		["PLEVEL"] = "Level ",

	--TT EXPERIENCE
		["CURR_XP"] = "Current XP:",
		["NEED_XP"] = "XP To Go:",
		["REST_XP"] = "RestedXP:",

	--TT TALENTS
		["TALPTS"] = "Available Talent Points:",
		["NOT10"] = "You have not reached level 10 yet.",

	--TT ATTRIBUTES
        ["STR"] = "Strength: ",
        ["AGI"] = "Agility: ",
        ["STA"] = "Stamina: ",
        ["INT"] = "Intellect: ",
        ["SPI"] = "Spirit: ",
		["ARCANE"] = "Arcane: ",
		["FIRE"] = "Fire: ",
		["NATURE"] = "Nature: ",
		["FROST"] = "Frost: ",
		["SHADOW"] = "Shadow: ",

	--TT DEFENSE
		["HEALTH"] = "Health: ",
		["ARMOR"] = "Armor: ",
		["DEFENSE"] = "Defense: ",
		["ADAMRED"] = "Dmg Reduct: ",
		["DHITRED"] = "Hits Reduct: ",
		["DODGE"] = "Dodge: ",
		["PARRY"] = "Parry: ",
		["BLOCK"] = "Block: ",
		["RCHANCE"] = "Res Chance: ",
		["RDMG"] = "Res Dmg: ",

	--MELEE/RANGED
		["MELEE_TITLE"] = " (Main | Off)",
		["SKILL"] = "Skill: ",
		["SPEED"] = "Spd: ",
		["DMGRNG"] = "Rng: ",
		["DPS"] = "DPS: ",
		["ATKPWR"] = "Atk Pwr: ",
		["APBONUS"] = "AP Bonus: ",
		["HRATE"] = "Hit vs lvl "..UnitLevel("player")..": ",
		["CRATE"] = "Crit Rate: ",

	--SPELLS
		["BDMG"] = "Bonus Damage: ",
		["BHEAL"] = "Bonus Healing: ",
		["MANAR"] = "Mana Regen: ",
		["PEN"] = "Penetration: ",
    }
end)
		
		
